Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPJMXMonitorMBean

All Known Subinterfaces:
  SNMPCounterMonitorMBean, SNMPGaugeMonitorMBean, SNMPStringMonitorMBean

public interface SNMPJMXMonitorMBean
extends SNMPTrapSourceMBean

This is a base class for Monitor based trap configration MBeans : SNMPCounterMonitorMBean, SNMPStringMonitorMBean and SNMPGaugeMonitorMBean.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getMonitoredAttributeName()` Defines the name of an attribute to monitor.
`java.lang.String` | `getMonitoredMBeanName()` Defines the name of the MBean to monitor.
`java.lang.String` | `getMonitoredMBeanType()` Defines the type of the MBean to monitor.
`int` | `getPollingInterval()` Defines the frequency the agent checks the attribute value.
`void` | `setMonitoredAttributeName(java.lang.String attributeName)`
`void` | `setMonitoredMBeanName(java.lang.String mbeanname)`
`void` | `setMonitoredMBeanType(java.lang.String mbeantype)`
`void` | `setPollingInterval(int interval)`

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getMonitoredMBeanType

    public java.lang.String getMonitoredMBeanType()

  Defines the type of the MBean to monitor.

  Legal Value: (value != null) && (value.trim().length() > 0)

### setMonitoredMBeanType

    public void setMonitoredMBeanType(java.lang.String mbeantype)
                               throws javax.management.InvalidAttributeValueException,
                                      ConfigurationException

### getMonitoredMBeanName

    public java.lang.String getMonitoredMBeanName()

  Defines the name of the MBean to monitor.

  Legal Value: (value != null) && (value.trim().length() > 0)

### setMonitoredMBeanName

    public void setMonitoredMBeanName(java.lang.String mbeanname)
                               throws javax.management.InvalidAttributeValueException,
                                      ConfigurationException

### getMonitoredAttributeName

    public java.lang.String getMonitoredAttributeName()

  Defines the name of an attribute to monitor.

  Legal Value: (value != null) && (value.trim().length() > 0)

### setMonitoredAttributeName

    public void setMonitoredAttributeName(java.lang.String attributeName)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

### getPollingInterval

    public int getPollingInterval()

  Defines the frequency the agent checks the attribute value.

  Legal Minimum Value: 0
  Legal Maximum Value: 65535

### setPollingInterval

    public void setPollingInterval(int interval)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference